[arch-commits] Commit in xulrunner/repos (3 files)
Jan de Groot
jgc at archlinux.org
Tue Dec 30 18:11:22 UTC 2008
Date: Tuesday, December 30, 2008 @ 13:11:22
Author: jgc
Revision: 22983
Merged revisions 22978 via svnmerge from
svn+ssh://svn.archlinux.org/srv/svn-packages/xulrunner/trunk
........
r22978 | jgc | 2008-12-30 17:53:29 +0000 (Tue, 30 Dec 2008) | 2 lines
Add patch to fix crashes with epiphany
........
Added:
xulrunner/repos/extra-i686/nsThreadUtils.patch
(from rev 22978, xulrunner/trunk/nsThreadUtils.patch)
Modified:
xulrunner/repos/extra-i686/ (properties)
xulrunner/repos/extra-i686/PKGBUILD
---------------------+
PKGBUILD | 11 ++++++++---
nsThreadUtils.patch | 42 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 50 insertions(+), 3 deletions(-)
Property changes on: xulrunner/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
- /xulrunner/trunk:1-22046
+ /xulrunner/trunk:1-22982
Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD 2008-12-30 18:08:48 UTC (rev 22982)
+++ extra-i686/PKGBUILD 2008-12-30 18:11:22 UTC (rev 22983)
@@ -3,7 +3,7 @@
# Contributor: Jan de Groot <jgc at archlinux.org>
pkgname=xulrunner
pkgver=1.9.0.5
-pkgrel=1
+pkgrel=2
pkgdesc="Mozilla Runtime Environment"
arch=(i686 x86_64)
license=('MPL' 'GPL' 'LGPL')
@@ -19,14 +19,16 @@
bzXXX_pc_honour_system_nspr_nss.patch
mozilla-pkgconfig.patch
fix-mozilla-launcher.patch
- mozilla-ps-pdf-simplify-operators.patch)
+ mozilla-ps-pdf-simplify-operators.patch
+ nsThreadUtils.patch)
md5sums=('aef76915c3fb35b9229d9eb2c8b2580a'
'6509d12e6b17bfc51c09e1dc35259035'
'5efd6772ed0ecf8eddec5d5650191d3c'
'7a5151f90cb360bc1ea911e5cf7208e9'
'dfbfb4e35912112668ac66dae0783686'
'63eee2d1da3b43c9d604f2253f242f40'
- '13dca58c04e62a8916691c63c5c492a0')
+ '13dca58c04e62a8916691c63c5c492a0'
+ 'ccc3a0672c783c043434f256fbd38c86')
build() {
cd ${startdir}/src/mozilla
@@ -47,6 +49,9 @@
#Fix stub launcher - archlinux
patch -Np0 -i ${srcdir}/fix-mozilla-launcher.patch || return 1
+ #Fix epiphany crashes - requires epiphany rebuild
+ patch -Np1 -i ${srcdir}/nsThreadUtils.patch || return 1
+
unset CFLAGS
unset CXXFLAGS
export LDFLAGS="-Wl,-rpath,/usr/lib/xulrunner-1.9"
Copied: xulrunner/repos/extra-i686/nsThreadUtils.patch (from rev 22978, xulrunner/trunk/nsThreadUtils.patch)
===================================================================
--- extra-i686/nsThreadUtils.patch (rev 0)
+++ extra-i686/nsThreadUtils.patch 2008-12-30 18:11:22 UTC (rev 22983)
@@ -0,0 +1,42 @@
+--- xulrunner-1.9.0.4.orig/xpcom/glue/nsThreadUtils.cpp
++++ xulrunner-1.9.0.4/xpcom/glue/nsThreadUtils.cpp
+@@ -187,24 +187,27 @@
+ }
+ #endif // XPCOM_GLUE_AVOID_NSPR
+
++inline PRBool
++hasPendingEvents(nsIThread *thread)
++{
++ PRBool val;
++ return NS_SUCCEEDED(thread->HasPendingEvents(&val)) && val;
++}
++
+ PRBool
+ NS_HasPendingEvents(nsIThread *thread)
+ {
+-#ifdef MOZILLA_INTERNAL_API
+ if (!thread) {
++#ifndef MOZILLA_INTERNAL_API
++ nsCOMPtr<nsIThread> current;
++ NS_GetCurrentThread(getter_AddRefs(current));
++ return hasPendingEvents(current);
++#else
+ thread = NS_GetCurrentThread();
+ NS_ENSURE_TRUE(thread, PR_FALSE);
+- }
+-#else
+- nsCOMPtr<nsIThread> current;
+- if (!thread) {
+- NS_GetCurrentThread(getter_AddRefs(current));
+- NS_ENSURE_TRUE(current, PR_FALSE);
+- thread = current.get();
+- }
+ #endif
+- PRBool val;
+- return NS_SUCCEEDED(thread->HasPendingEvents(&val)) && val;
++ }
++ return hasPendingEvents(thread);
+ }
+
+ PRBool
+
More information about the arch-commits
mailing list